Subject: Re: bug#24130: RAID config boot hangs at [...] Clocksource: Switched to clocksource tsc

From: myglc2 <[email-masked]>
Date: Thu, 12 Jan 2017 23:34:15 -0500

On 01/11/2017 at 23:14 Ludovic Courtès writes:

> Could you tell me if this bug is still relevant?

Hi Ludo’,

Sorry for the delay, I had to swap hardware around to revisit this.  I
am now able to assemble 3 arrays as shown below, so I think you should
close the bug.

config:

(define md0
  (mapped-device
   (source (list "/dev/sdb1" "/dev/sdc1"))
   (target "/dev/md0")
   (type raid-device-mapping)))
(define md1
  (mapped-device
   (source (list "/dev/sdb5" "/dev/sdc5"))
   (target "/dev/md1")
   (type raid-device-mapping)))
(define md2
  (mapped-device
   (source (list "/dev/sdb6" "/dev/sdc6"))
   (target "/dev/md2")
   (type raid-device-mapping)))
(operating-system
 (host-name "g1")
 (timezone "America/New_York")
 (locale "en_US.utf8")
 (bootloader (grub-configuration (device "/dev/sda")))
 (mapped-devices (list md0 md1 md2))
 ;; Add a kernel module for RAID-1.
 (initrd (lambda (file-systems . rest)
	   (apply base-initrd file-systems
		  #:extra-modules '("raid1")
		  rest)))
 (file-systems (cons*
		(file-system
		 (device "ssd-root")
		 (title 'label)
		 (mount-point "/")
		 (type "ext4"))
		(file-system
		 (title 'device)
		 (device "/dev/md0")
		 (dependencies (list md0))
		 (mount-point "/mnt/md0")		   
		 (create-mount-point? #t)
		 (type "ext4")
		 )
		(file-system
		 (title 'device)
		 (device "/dev/md2")
		 (dependencies (list md2))
		 (mount-point "/mnt/md2")		   
		 (create-mount-point? #t)
		 (type "ext4")
		 )
		%base-file-systems))

guix version:

guix (GNU Guix) 0.12.0
v0.12.0-456-gb0a567640